## autorevision 1.7

=== Makefile ===
# Makefile for the autorevision project

# `a2x / asciidoc` is required to generate the Man page.
# `markdown` is required for the `docs` target, though it is not
# strictly necessary for packaging.
# `shipper` is required for the `release` target, which should only be
# used if you are shipping tarballs (you probably are not).

# Get the version number
VERS := $(shell ./autorevision.sh -s VCS_TAG -o ./autorevision.cache | sed -e 's:v/::')

.SUFFIXES: .md .html

.md.html:
	markdown $< > $@

# `prefix`, `mandir` & `DESTDIR` can and should be set on the command line to control installation locations
prefix ?= /usr/local
mandir ?= /share/man
target = $(DESTDIR)$(prefix)

DOCS = \
	NEWS \
	autorevision.asciidoc \
	README.md \
	CONTRIBUTING.md \
	COPYING.md

SOURCES = \
	$(DOCS) \
	autorevision.sh \
	Makefile \
	control

EXTRA_DIST = \
	AUTHORS \
	autorevision.cache

all : cmd man

# The script
cmd: autorevision

autorevision: autorevision.sh
	sed -e 's:&&ARVERSION&&:$(VERS):g' autorevision.sh > autorevision
	chmod +x autorevision

# The Man Page
man: autorevision.1

autorevision.1: autorevision.asciidoc
	a2x -f manpage autorevision.asciidoc

# HTML representation of the man page
autorevision.html: autorevision.asciidoc
	asciidoc --doctype=manpage --backend=xhtml11 autorevision.asciidoc

# The tarball
dist: autorevision-$(VERS).tgz

autorevision-$(VERS).tgz: $(SOURCES) cmd man
	git log --format='%aN <%aE>' | awk '{arr[$$0]++} END{for (i in arr){print arr[i], i;}}' | sort -rn | cut -d\  -f2- > AUTHORS
	mkdir autorevision-$(VERS)
	cp -pR $(SOURCES) $(EXTRA_DIST) autorevision-$(VERS)/
	@COPYFILE_DISABLE=1 tar -czf autorevision-$(VERS).tgz autorevision-$(VERS)
	rm -fr autorevision-$(VERS)

install: cmd man
	install -d "$(target)/bin"
	install -m 755 autorevision "$(target)/bin/autorevision"
	install -d "$(target)$(mandir)/man1"
	gzip --no-name < autorevision.1 > "$(target)$(mandir)/man1/autorevision.1.gz"

uninstall:
	rm -f "$(target)/bin/autorevision" "$(target)$(mandir)/man1/autorevision.1.gz"

clean:
	rm -f autorevision autorevision.html autorevision.1 *.tgz
	rm -f docbook-xsl.css
	rm -f AUTHORS
	rm -f CONTRIBUTING.html COPYING.html README.html
	rm -f *~ index.html

# Not safe to run in a tarball
devclean: clean
	rm -f autorevision.cache

# HTML versions of doc files suitable for use on a website
docs: \
	autorevision.html \
	README.html \
	CONTRIBUTING.html \
	COPYING.html

# Tag with `git tag -s v/<number>` before running this.
release: docs dist
	shipper version=$(VERS) | sh -e -x

=== debian/changelog ===
autorevision (1.7-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Mon, 02 Dec 2013 14:21:50 +0800

autorevision (1.6-2) unstable; urgency=low

  * Package should be arch all, fix that.
  * Priority optional is more appropriate.

 -- Paul Wise <pabs@debian.org>  Fri, 30 Aug 2013 09:53:03 +0200

autorevision (1.6-1) unstable; urgency=low

  * Initial release (Closes: #719436)

 -- Paul Wise <pabs@debian.org>  Wed, 28 Aug 2013 17:17:55 +0200

=== debian/control ===
Source: autorevision
Section: devel
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 asciidoc,
 debhelper (>= 9),
 docbook-xml,
 docbook-xsl,
 libxml2-utils,
 xsltproc
Standards-Version: 3.9.5
Homepage: http://www.catb.org/esr/autorevision/

Package: autorevision
Architecture: all
Depends:
 ${misc:Depends}
Description: extracts revision metadata from your VCS repository
 Extracts metadata about the current revision from your repository.
 This program is meant to be used by project build systems to extract
 properties that can be used in software version strings. Repository
 types supported include git, hg, bzr, and svn. It can create files
 containing variable and macro definitions suitable for C, C++, Java,
 sh, Python, Perl, PHP, lua, Javascript, and header files suitable
 for use with preprocessing Info.plist files. Emitted information
 includes the ID of the most recent commit, its branch, its date,
 and several other useful pieces of meta-information. There is
 support for reading and writing a cache file so autorevision will
 remain useful during a build from an unpacked distribution tarball.

=== debian/watch ===
version=3
http://www.catb.org/esr/autorevision/ .*/autorevision-(\d[\d\.]*)\.tgz
https://github.com/Autorevision/autorevision/releases .*/autorevision-(\d[\d\.]*)\.tgz

## autorevision 1.10a

=== Makefile ===
--- 
+++ 
@@ -33,10 +33,12 @@
 	control
 
 EXTRA_DIST = \
-	AUTHORS \
+	contribs/logo.svg \
+	contribs/autorevision.mk \
+	AUTHORS.txt \
 	autorevision.cache
 
-all : cmd man
+all : cmd man auth
 
 # The script
 cmd: autorevision
@@ -55,11 +57,20 @@
 autorevision.html: autorevision.asciidoc
 	asciidoc --doctype=manpage --backend=xhtml11 autorevision.asciidoc
 
+# Authors
+auth:
+	git log --format='%aN <%aE>' | awk '{arr[$$0]++} END{for (i in arr){print arr[i], i;}}' | sort -rn | cut -d\  -f2- > AUTHORS.txt
+
 # The tarball
-dist: autorevision-$(VERS).tgz
+dist: autorevision-$(VERS).tgz autorevision-$(VERS).tgz.md5 autorevision-$(VERS).tgz.sig
 
-autorevision-$(VERS).tgz: $(SOURCES) cmd man
-	git log --format='%aN <%aE>' | awk '{arr[$$0]++} END{for (i in arr){print arr[i], i;}}' | sort -rn | cut -d\  -f2- > AUTHORS
+autorevision-$(VERS).tgz.md5: autorevision-$(VERS).tgz
+	md5 -q autorevision-$(VERS).tgz > autorevision-$(VERS).tgz.md5
+
+autorevision-$(VERS).tgz.sig: autorevision-$(VERS).tgz
+	gpg --armour --detach-sign --output "autorevision-$(VERS).tgz.sig" "autorevision-$(VERS).tgz"
+
+autorevision-$(VERS).tgz: $(SOURCES) all
 	mkdir autorevision-$(VERS)
 	cp -pR $(SOURCES) $(EXTRA_DIST) autorevision-$(VERS)/
 	@COPYFILE_DISABLE=1 tar -czf autorevision-$(VERS).tgz autorevision-$(VERS)
@@ -75,15 +86,16 @@
 	rm -f "$(target)/bin/autorevision" "$(target)$(mandir)/man1/autorevision.1.gz"
 
 clean:
-	rm -f autorevision autorevision.html autorevision.1 *.tgz
+	rm -f autorevision autorevision.html autorevision.1
+	rm -f *.tgz *.md5 *.sig
 	rm -f docbook-xsl.css
-	rm -f AUTHORS
 	rm -f CONTRIBUTING.html COPYING.html README.html
 	rm -f *~ index.html
 
 # Not safe to run in a tarball
 devclean: clean
 	rm -f autorevision.cache
+	rm -f AUTHORS AUTHORS.txt
 
 # HTML versions of doc files suitable for use on a website
 docs: \
@@ -94,4 +106,5 @@
 
 # Tag with `git tag -s v/<number>` before running this.
 release: docs dist
+	git tag -v "v/$(VERS)"
 	shipper version=$(VERS) | sh -e -x

=== debian/changelog ===
autorevision (1.10a-1) unstable; urgency=medium

  * New upstream release
  * Move debian/upstream file to debian/upstream/metadata
  * Bump Standards-Version, no changes needed
  * Add upstream OpenPGP keys and signature mangle
  * Install new autorevision.mk as an example

 -- Paul Wise <pabs@debian.org>  Fri, 24 Oct 2014 12:32:07 +0800

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  docbook-xsl,
  libxml2-utils,
  xsltproc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.catb.org/esr/autorevision/
 
 Package: autorevision

## autorevision 1.13

=== Makefile ===
--- 
+++ 
@@ -2,12 +2,19 @@
 
 # `a2x / asciidoc` is required to generate the Man page.
 # `markdown` is required for the `docs` target, though it is not
-# strictly necessary for packaging.
-# `shipper` is required for the `release` target, which should only be
-# used if you are shipping tarballs (you probably are not).
+# strictly necessary for packaging since unless you are planning on
+# serving the docs on a web site they are more readable not as html.
+# `shipper` and `gpg` are required for the `release` target, which
+# should only be used if you are shipping tarballs (you probably are
+# not).
 
 # Get the version number
 VERS := $(shell ./autorevision.sh -s VCS_TAG -o ./autorevision.cache | sed -e 's:v/::')
+# Date for documentation
+DOCDATE := $(shell ./autorevision.sh -s VCS_DATE -o ./autorevision.cache -f | sed -e 's:T.*::')
+
+# Find a md5 program
+MD5 := $(shell if type "md5" &> /dev/null; then echo "md5 -q"; elif type "md5sum" &> /dev/null; then echo "md5sum"; fi)
 
 .SUFFIXES: .md .html
 
@@ -38,11 +45,12 @@
 	AUTHORS.txt \
 	autorevision.cache
 
-all : cmd man auth
+all : cmd man
 
 # The script
 cmd: autorevision
 
+# Insert the version number
 autorevision: autorevision.sh
 	sed -e 's:&&ARVERSION&&:$(VERS):g' autorevision.sh > autorevision
 	chmod +x autorevision
@@ -51,32 +59,37 @@
 man: autorevision.1
 
 autorevision.1: autorevision.asciidoc
-	a2x -f manpage autorevision.asciidoc
+	a2x --attribute="revdate=$(DOCDATE)" --attribute="revnumber=$(VERS)" -f manpage autorevision.asciidoc
 
 # HTML representation of the man page
 autorevision.html: autorevision.asciidoc
 	asciidoc --doctype=manpage --backend=xhtml11 autorevision.asciidoc
 
 # Authors
-auth:
+auth: AUTHORS.txt
+
+AUTHORS.txt:
 	git log --format='%aN <%aE>' | awk '{arr[$$0]++} END{for (i in arr){print arr[i], i;}}' | sort -rn | cut -d\  -f2- > AUTHORS.txt
 
 # The tarball
 dist: autorevision-$(VERS).tgz autorevision-$(VERS).tgz.md5 autorevision-$(VERS).tgz.sig
 
+# Make an md5 checksum
 autorevision-$(VERS).tgz.md5: autorevision-$(VERS).tgz
-	md5 -q autorevision-$(VERS).tgz > autorevision-$(VERS).tgz.md5
+	$(MD5) autorevision-$(VERS).tgz > autorevision-$(VERS).tgz.md5
 
+# Make a detached gpg sig
 autorevision-$(VERS).tgz.sig: autorevision-$(VERS).tgz
 	gpg --armour --detach-sign --output "autorevision-$(VERS).tgz.sig" "autorevision-$(VERS).tgz"
 
-autorevision-$(VERS).tgz: $(SOURCES) all
+# The actual tarball
+autorevision-$(VERS).tgz: $(SOURCES) all auth
 	mkdir autorevision-$(VERS)
 	cp -pR $(SOURCES) $(EXTRA_DIST) autorevision-$(VERS)/
 	@COPYFILE_DISABLE=1 tar -czf autorevision-$(VERS).tgz autorevision-$(VERS)
 	rm -fr autorevision-$(VERS)
 
-install: cmd man
+install: all
 	install -d "$(target)/bin"
 	install -m 755 autorevision "$(target)/bin/autorevision"
 	install -d "$(target)$(mandir)/man1"

=== debian/changelog ===
autorevision (1.13-1) unstable; urgency=medium

  * New upstream release
    - Website moved to github, update Homepage
  * The list of output languages/formats changes a lot
    so remove the full list from the package description.

 -- Paul Wise <pabs@debian.org>  Thu, 01 Oct 2015 13:20:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libxml2-utils,
  xsltproc
 Standards-Version: 3.9.6
-Homepage: http://www.catb.org/esr/autorevision/
+Homepage: https://autorevision.github.io/
 
 Package: autorevision
 Architecture: all
@@ -21,9 +21,8 @@
  This program is meant to be used by project build systems to extract
  properties that can be used in software version strings. Repository
  types supported include git, hg, bzr, and svn. It can create files
- containing variable and macro definitions suitable for C, C++, Java,
- sh, Python, Perl, PHP, lua, Javascript, and header files suitable
- for use with preprocessing Info.plist files. Emitted information
+ containing variable and macro definitions suitable for a variety of
+ programming languages and other info formats. Emitted information
  includes the ID of the most recent commit, its branch, its date,
  and several other useful pieces of meta-information. There is
  support for reading and writing a cache file so autorevision will

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_build:
	# Don't build the HTML versions of the docs
	# since the text versions are just as useful.
	dh_auto_build -- autorevision.1

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://www.catb.org/esr/autorevision/ .*/autorevision-(\d[\d\.]*)\.tgz
opts=pgpsigurlmangle=s/$/.sig/ \
https://github.com/Autorevision/autorevision/releases .*/autorevision-(\d[\d\.]*)\.tgz

## autorevision 1.15

=== Makefile ===
--- 
+++ 
@@ -40,8 +40,7 @@
 	control
 
 EXTRA_DIST = \
-	contribs/logo.svg \
-	contribs/autorevision.mk \
+	contribs \
 	AUTHORS.txt \
 	autorevision.cache
 
@@ -63,7 +62,7 @@
 
 # HTML representation of the man page
 autorevision.html: autorevision.asciidoc
-	asciidoc --doctype=manpage --backend=xhtml11 autorevision.asciidoc
+	asciidoc --attribute="revdate=$(DOCDATE)" --attribute="footer-style=revdate" --attribute="revnumber=$(VERS)" --doctype=manpage --backend=xhtml11 autorevision.asciidoc
 
 # Authors
 auth: AUTHORS.txt
@@ -86,7 +85,7 @@
 autorevision-$(VERS).tgz: $(SOURCES) all auth
 	mkdir autorevision-$(VERS)
 	cp -pR $(SOURCES) $(EXTRA_DIST) autorevision-$(VERS)/
-	@COPYFILE_DISABLE=1 tar -czf autorevision-$(VERS).tgz autorevision-$(VERS)
+	@COPYFILE_DISABLE=1 tar -czf autorevision-$(VERS).tgz --exclude=".DS_Store" autorevision-$(VERS)
 	rm -fr autorevision-$(VERS)
 
 install: all
@@ -120,4 +119,4 @@
 # Tag with `git tag -s v/<number>` before running this.
 release: docs dist
 	git tag -v "v/$(VERS)"
-	shipper version=$(VERS) | sh -e -x
+#	shipper version=$(VERS) | sh -e -x

=== debian/changelog ===
autorevision (1.15-1) unstable; urgency=medium

  * New upstream release
    - Drop dh_auto_build override, no longer needed
  * Bump Standards-Version, no changes needed
  * Update copyright information
  * Install most of contribs/ as examples

 -- Paul Wise <pabs@debian.org>  Sat, 13 Aug 2016 18:09:32 +0800

autorevision (1.14-1) unstable; urgency=medium

  * New upstream release
    - Update copyright years
  * ESR no longer involved, update watch file and metadata
  * Bump Standards-Version, no changes needed

 -- Paul Wise <pabs@debian.org>  Tue, 23 Feb 2016 09:05:22 +0800

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
- xsltproc
-Standards-Version: 3.9.6
+ xsltproc,
+Standards-Version: 3.9.8
 Homepage: https://autorevision.github.io/
 
 Package: autorevision
 Architecture: all
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
 Description: extracts revision metadata from your VCS repository
  Extracts metadata about the current revision from your repository.
  This program is meant to be used by project build systems to extract

## autorevision 1.19

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DOCDATE := $(shell ./autorevision.sh -s VCS_DATE -o ./autorevision.cache -f | sed -e 's:T.*::')
 
 # Find a md5 program
-MD5 := $(shell if type "md5" &> /dev/null; then echo "md5 -q"; elif type "md5sum" &> /dev/null; then echo "md5sum"; fi)
+MD5 := $(shell if command -v "md5" > /dev/null 2>&1; then echo "md5 -q"; elif command -v "md5sum" > /dev/null 2>&1; then echo "md5sum"; fi)
 
 .SUFFIXES: .md .html
 
@@ -70,15 +70,18 @@
 AUTHORS.txt:
 	git log --format='%aN <%aE>' | awk '{arr[$$0]++} END{for (i in arr){print arr[i], i;}}' | sort -rn | cut -d\  -f2- > AUTHORS.txt
 
+# The tarball signed and sealed
+dist: tarball autorevision-$(VERS).tgz.md5 autorevision-$(VERS).tgz.sig
+
 # The tarball
-dist: autorevision-$(VERS).tgz autorevision-$(VERS).tgz.md5 autorevision-$(VERS).tgz.sig
+tarball: autorevision-$(VERS).tgz
 
 # Make an md5 checksum
-autorevision-$(VERS).tgz.md5: autorevision-$(VERS).tgz
+autorevision-$(VERS).tgz.md5: tarball
 	$(MD5) autorevision-$(VERS).tgz > autorevision-$(VERS).tgz.md5
 
 # Make a detached gpg sig
-autorevision-$(VERS).tgz.sig: autorevision-$(VERS).tgz
+autorevision-$(VERS).tgz.sig: tarball
 	gpg --armour --detach-sign --output "autorevision-$(VERS).tgz.sig" "autorevision-$(VERS).tgz"
 
 # The actual tarball
@@ -108,6 +111,7 @@
 devclean: clean
 	rm -f autorevision.cache
 	rm -f AUTHORS AUTHORS.txt
+	rm -f *.orig ./*/*.orig
 
 # HTML versions of doc files suitable for use on a website
 docs: \

## autorevision 1.20

=== Makefile ===
--- 
+++ 
@@ -68,7 +68,7 @@
 auth: AUTHORS.txt
 
 AUTHORS.txt:
-	git log --format='%aN <%aE>' | awk '{arr[$$0]++} END{for (i in arr){print arr[i], i;}}' | sort -rn | cut -d\  -f2- > AUTHORS.txt
+	git log --format='%aN <%aE>' | sort -f | uniq -c | sort -rn | sed 's:^ *[0-9]* *::' > AUTHORS.txt
 
 # The tarball signed and sealed
 dist: tarball autorevision-$(VERS).tgz.md5 autorevision-$(VERS).tgz.sig

=== debian/changelog ===
autorevision (1.20-1) unstable; urgency=medium

  * New upstream release

 -- Paul Wise <pabs@debian.org>  Wed, 04 Jan 2017 10:03:03 +0800

autorevision (1.19-1) unstable; urgency=medium

  * New upstream release

 -- Paul Wise <pabs@debian.org>  Wed, 21 Dec 2016 08:32:37 +0800

autorevision (1.18-1) unstable; urgency=medium

  * New upstream release

 -- Paul Wise <pabs@debian.org>  Wed, 23 Nov 2016 10:23:57 +0800

autorevision (1.17-1) unstable; urgency=medium

  * New upstream release
  * Mark as multi-arch foreign, thanks to the multiarch hinter

 -- Paul Wise <pabs@debian.org>  Sat, 19 Nov 2016 08:32:27 +0800

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 Package: autorevision
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Description: extracts revision metadata from your VCS repository

## autorevision 1.21

=== debian/changelog ===
autorevision (1.21-1) unstable; urgency=medium

  * New upstream release
  * Avoid installing texlive along with asciidoc
  * Bump Standards-Version, no changes needed
  * Bump debhelper compat, no changes detected

 -- Paul Wise <pabs@debian.org>  Sun, 01 Oct 2017 13:54:10 +0800

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
- asciidoc,
- debhelper (>= 9),
+ asciidoc-base | asciidoc (<< 8.6.9-4~),
+ debhelper (>= 10),
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://autorevision.github.io/
 
 Package: autorevision

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installexamples:
	dh_installexamples -Xlogo.svg

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://github.com/Autorevision/autorevision/releases .*/autorevision-(\d[\d\.]*)\.tgz

## autorevision 1.22

=== Makefile ===
--- 
+++ 
@@ -40,11 +40,12 @@
 	control
 
 EXTRA_DIST = \
+	logo.svg.in \
 	contribs \
 	AUTHORS.txt \
 	autorevision.cache
 
-all : cmd man
+all : cmd man logo.svg
 
 # The script
 cmd: autorevision
@@ -55,7 +56,10 @@
 	chmod +x autorevision
 
 # The Man Page
-man: autorevision.1
+man: autorevision.1.gz
+
+autorevision.1.gz: autorevision.1
+	gzip --no-name < autorevision.1 > autorevision.1.gz
 
 autorevision.1: autorevision.asciidoc
 	a2x --attribute="revdate=$(DOCDATE)" --attribute="revnumber=$(VERS)" -f manpage autorevision.asciidoc
@@ -67,8 +71,14 @@
 # Authors
 auth: AUTHORS.txt
 
-AUTHORS.txt:
+AUTHORS.txt: .mailmap autorevision.cache
 	git log --format='%aN <%aE>' | sort -f | uniq -c | sort -rn | sed 's:^ *[0-9]* *::' > AUTHORS.txt
+
+autorevision.sed: autorevision.cache
+	./autorevision.sh -f -t sed -o $< > $@
+
+logo.svg: logo.svg.in autorevision.sed
+	sed -f autorevision.sed $< > $@
 
 # The tarball signed and sealed
 dist: tarball autorevision-$(VERS).tgz.md5 autorevision-$(VERS).tgz.sig
@@ -88,20 +98,21 @@
 autorevision-$(VERS).tgz: $(SOURCES) all auth
 	mkdir autorevision-$(VERS)
 	cp -pR $(SOURCES) $(EXTRA_DIST) autorevision-$(VERS)/
-	@COPYFILE_DISABLE=1 tar -czf autorevision-$(VERS).tgz --exclude=".DS_Store" autorevision-$(VERS)
+	@COPYFILE_DISABLE=1 GZIP=-n9 tar -czf autorevision-$(VERS).tgz --exclude=".DS_Store" autorevision-$(VERS)
 	rm -fr autorevision-$(VERS)
 
 install: all
 	install -d "$(target)/bin"
 	install -m 755 autorevision "$(target)/bin/autorevision"
 	install -d "$(target)$(mandir)/man1"
-	gzip --no-name < autorevision.1 > "$(target)$(mandir)/man1/autorevision.1.gz"
+	install -m 644 autorevision.1.gz "$(target)$(mandir)/man1/autorevision.1.gz"
 
 uninstall:
 	rm -f "$(target)/bin/autorevision" "$(target)$(mandir)/man1/autorevision.1.gz"
 
 clean:
-	rm -f autorevision autorevision.html autorevision.1
+	rm -f autorevision autorevision.html autorevision.1 autorevision.1.gz
+	rm -f autorevision.sed logo.svg
 	rm -f *.tgz *.md5 *.sig
 	rm -f docbook-xsl.css
 	rm -f CONTRIBUTING.html COPYING.html README.html

=== contribs/wscript ===
#!/usr/bin/env python
# encoding: utf-8

APPNAME = 'projectname'
VERSION = '1.0' # This will be overwritten later.


def configure(bld):
    # This makes sure that autorevision exists before we call it.
    bld.find_program('autorevision', var='AUTOREVISION')


def options(bld):
    pass


def arv(bld):
    # The cache file build is in its own function so it can be easily
    # included everywhere it needs to be.
    from waflib import ConfigSet
    # Get the path to autorevision found in configuration.
    try:
        env = ConfigSet.ConfigSet('build/c4che/_cache.py')
    except (OSError, IOError):
        bld.fatal('Project is not configured')

    # This is where the cache file is made and VERSION is rewritten.
    global VERSION
    VERSION = bld.cmd_and_log("%s -s VCS_TAG -o %s/autorevision.cache " % (env.get_flat('AUTOREVISION'), bld.path.abspath()), cwd=bld.path.abspath()).strip()


def dist(bld):
    # Make sure that the cache file is in the tarball.
    arv(bld)


def build(bld):
    # Make sure that the cache file is built first.
    arv(bld)
    # Here we let waf know about the autorevision.cache file.
    autorevision_cache_node = bld.path.find_or_declare('autorevision.cache')

    # This is where the autorevision.json file is made.
    bld(
        rule='${AUTOREVISION} -f -t json -o ${SRC[0].abspath()} > ${TGT}',
        source=autorevision_cache_node,
        target='autorevision.json')

    # This is where the autorevision.h file is made.
    bld(
        rule='${AUTOREVISION} -f -t h -o ${SRC[0].abspath()} > ${TGT}',
        source=autorevision_cache_node,
        target='autorevision.h')


def test(bld):
    # A simple sanity check.
    arv(bld)

=== debian/changelog ===
autorevision (1.22-2) unstable; urgency=medium

  * Fix inclusion of NEWS file

 -- Paul Wise <pabs@debian.org>  Mon, 01 Feb 2021 19:30:47 +0800

autorevision (1.22-1) unstable; urgency=medium

  [ Paul Wise ]
  * New upstream release.
  * Set Rules-Requires-Root: no
  * Stop including NEWS file as changelog
  * Declare compliance with policy version 4.5.1
  * Bump debhelper from old 10 to 13.

  [ lintian-brush ]
  * Set debhelper-compat version in Build-Depends.
  * Re-export upstream signing key without extra signatures.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Repository.
  * Drop unnecessary dh arguments: --parallel
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update watch file format version to 4.

 -- Paul Wise <pabs@debian.org>  Mon, 01 Feb 2021 19:22:32 +0800

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
  asciidoc-base | asciidoc (<< 8.6.9-4~),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  docbook-xml,
  docbook-xsl,
  libxml2-utils,
  xsltproc,
-Standards-Version: 4.1.1
+Standards-Version: 4.5.1
 Homepage: https://autorevision.github.io/
+Rules-Requires-Root: no
 
 Package: autorevision
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

override_dh_installexamples:
	dh_installexamples -Xlogo.svg

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://github.com/Autorevision/autorevision/releases .*/autorevision-(\d[\d\.]*)\.tgz
